#ifndef __32GM32_H__
#define __32GM32_H__

#include "32dib32.h"

DECLSPEC BOOL	g32GetColorKeyFlag();
DECLSPEC void	g32SetColorKeyFlag(BOOL flag);
DECLSPEC DWORD	g32GetColorKey();
DECLSPEC void	g32SetColorKey(BYTE red, BYTE green, BYTE blue);
DECLSPEC POINT	g32GetMapSize();
DECLSPEC POINT	g32GetMapViewSize();
DECLSPEC void	g32SetMapViewSize(int width, int height);
DECLSPEC unsigned long*	g32GetMapData();
DECLSPEC void	g32DeleteMapData();
DECLSPEC BOOL	g32LoadMapData(TCHAR *filename);
DECLSPEC BOOL	g32DrawMap(HBITMAP hBmpDst, HBITMAP hBmpMapChip, HBITMAP hBmpLyerChip,
						int scr_x = 0, int scr_y = 0, int x = 0, int y = 0);
DECLSPEC BOOL	g32DrawPriorityMap(HBITMAP hBmpDst, HBITMAP hBmpLyerChip,
							int scr_x = 0, int scr_y = 0, int x = 0, int y = 0);
DECLSPEC BOOL	g32DrawHitJudge(HBITMAP hBmp, int scr_x = 0, int scr_y = 0, int x = 0, int y = 0,
							BYTE red = 100, BYTE green = 0, BYTE blue = 0);

#endif
